call_rcu_bh
Prev | Kernel utility functions | Next

## Name

call_rcu_bh — Queue an RCU for invocation after a quicker grace period.

## Synopsis

`void fastcall call_rcu_bh (` | struct rcu_head * | head,
| void (* | func`(`struct rcu_head *rcu`)``)`;

## Arguments

`head`

  structure to be used for queueing the RCU updates.

`func`

  actual update function to be invoked after the grace period

## Description

The update function will be invoked some time after a full grace period elapses, in other words after all currently executing RCU read-side critical sections have completed. `call_rcu_bh` assumes that the read-side critical sections end on completion of a softirq handler. This means that read-side critical sections in process context must not be interrupted by softirqs. This interface is to be used when most of the read-side critical sections are in softirq context. RCU read-side critical sections are delimited by `rcu_read_lock` and `rcu_read_unlock`, * if in interrupt context or `rcu_read_lock_bh` and `rcu_read_unlock_bh`, if in process context. These may be nested.

Prev | Up | Next
call_rcu | Home | rcu_barrier